#
# To run VASP this script calls $vasp_std
# (or posibly $vasp_gam and/or $vasp_ncl).
# These variables can be defined by sourcing vaspcmd
. vaspcmd 2> /dev/null

#
# When vaspcmd is not available and $vasp_std,
# $vasp_gam, and/or $vasp_ncl are not set as environment
# variables, you can specify them here
[ -z "`echo $vasp_std`" ] && vasp_std="mpirun -np 8 /path-to-your-vasp/vasp_std"
[ -z "`echo $vasp_gam`" ] && vasp_gam="mpirun -np 8 /path-to-your-vasp/vasp_gam"
[ -z "`echo $vasp_ncl`" ] && vasp_ncl="mpirun -np 8 /path-to-your-vasp/vasp_ncl"

#
# The real work starts here
#

cp KPOINTS.6 KPOINTS

rm WAVECAR
cp INCAR.DFT INCAR
$vasp_std

cp OUTCAR OUTCAR.DFT
cp vasprun.xml vasprun.DFT.xml
cp WAVECAR WAVECAR.DFT


cp INCAR.LOPTICS INCAR
$vasp_std

cp OUTCAR OUTCAR.LOPTICS
cp vasprun.xml vasprun.LOPTICS.xml
cp WAVECAR WAVECAR.LOPTICS
cp WAVEDER WAVEDER.LOPTICS
./extract_optics.sh


cp INCAR.CHI INCAR
$vasp_std

cp OUTCAR OUTCAR.CHI
cp vasprun.xml vasprun.CHI.xml
./extract_chi.sh

# cp WAVECAR.LOPTICS WAVECAR
# cp WAVEDER.LOPTICS WAVEDER
# cp INCAR.CHI2 INCAR
# $vasp_std
# cp OUTCAR OUTCAR.CHI2
# cp vasprun.xml vasprun.CHI2.xml
# ./extract_chi.sh

# cp WAVECAR.LOPTICS WAVECAR
# cp INCAR.LOPTICS2 INCAR
# $vasp_std
# cp OUTCAR OUTCAR.LOPTICS2
# cp vasprun.xml vasprun.LOPTICS2.xml
# ./extract_optics.sh

