#
# To run VASP this script calls $vasp_std
# (or posibly $vasp_gam and/or $vasp_ncl).
# These variables can be defined by sourcing vaspcmd
. vaspcmd 2> /dev/null

#
# When vaspcmd is not available and $vasp_std,
# $vasp_gam, and/or $vasp_ncl are not set as environment
# variables, you can specify them here
[ -z "`echo $vasp_std`" ] && vasp_std="mpirun -np 8 /path-to-your-vasp/vasp_std"
[ -z "`echo $vasp_gam`" ] && vasp_gam="mpirun -np 8 /path-to-your-vasp/vasp_gam"
[ -z "`echo $vasp_ncl`" ] && vasp_ncl="mpirun -np 8 /path-to-your-vasp/vasp_ncl"

#
# The real work starts here
#

rm WAVECAR
cp INCAR.DFT INCAR
cp wannier90.win.dft wannier90.win
$vasp_std

cp OUTCAR OUTCAR.DFT
cp vasprun.xml vasprun.DFT.xml
cp WAVECAR WAVECAR.DFT
cp DOSCAR DOSCAR.DFT
cp wannier90_band.dat wannier90_band.DFT.dat


cp INCAR.DIAG INCAR
$vasp_std

cp OUTCAR OUTCAR.DIAG
cp vasprun.xml vasprun.DIAG.xml
cp WAVECAR WAVECAR.DIAG
cp WAVEDER WAVEDER.DIAG


cp INCAR.GW0 INCAR
$vasp_std

cp OUTCAR OUTCAR.GW0
cp vasprun.xml vasprun.GW0.xml
cp WAVECAR WAVECAR.GW0


cp INCAR.NONE INCAR
cp wannier90.win.gw wannier90.win
$vasp_std

cp DOSCAR DOSCAR.GW0
cp vasprun.xml vasprun.NONE.xml
cp wannier90_band.dat wannier90_band.GW0.dat


cp WAVECAR.DIAG WAVECAR
cp WAVEDER.DIAG WAVEDER
cp INCAR.HSE INCAR
cp wannier90.win.hse wannier90.win
$vasp_std

cp OUTCAR OUTCAR.HSE
cp vasprun.xml vasprun.HSE.xml
cp DOSCAR DOSCAR.HSE
cp wannier90_band.dat wannier90_band.HSE.dat

